package net.bonotown.android.aravadebo.model;

import net.bonotown.android.aravadebo.UsuariEntradaActivity;
import net.bonotown.android.aravadebo.UsuariRegistreActivity;
import android.content.Context;
import android.content.Intent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class NavDrawerButtons {
	
	private Button botoEntrar;
	private Button botoRegistrar;
	private Context context;
	
	public NavDrawerButtons(Context context) {
		this.context = context;
	}
	
	/**
	 * @return the context
	 */
	public Context getContext() {
		return context;
	}

	/**
	 * @param context the context to set
	 */
	public void setContext(Context context) {
		this.context = context;
	}

	/**
	 * @return the botoEntrar
	 */
	public Button getBotoEntrar() {
		return botoEntrar;
	}

	/**
	 * @param botoEntrar the botoEntrar to set
	 */
	public void setBotoEntrar(Button botoEntrar) {
		this.botoEntrar = botoEntrar;
	}

	/**
	 * @return the botoRegistrar
	 */
	public Button getBotoRegistrar() {
		return botoRegistrar;
	}

	/**
	 * @param botoRegistrar the botoRegistrar to set
	 */
	public void setBotoRegistrar(Button botoRegistrar) {
		this.botoRegistrar = botoRegistrar;
	}
	
	public OnClickListener clickEntrarListener = new OnClickListener() {

		@Override
		public void onClick(View view) {
			getContext().startActivity(new Intent(getContext(), UsuariEntradaActivity.class).setFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
		}
	};
	
	public OnClickListener clickRegistrarListener = new OnClickListener() {

		@Override
		public void onClick(View view) {
			getContext().startActivity(new Intent(getContext(), UsuariRegistreActivity.class).setFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
		}
	};
}
