package net.bonotown.android.aravadebo.model;

import com.parse.ParseUser;

import net.bonotown.android.aravadebo.AjudaActivity;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class NavDrawerButtonsAuthUser {
	
	private Button botoTancar;
	private Button botoAjuda;
	private Context context;
	
	public NavDrawerButtonsAuthUser(Context context) {
		this.context = context;
	}
	
	/**
	 * @return the context
	 */
	public Context getContext() {
		return context;
	}

	/**
	 * @param context the context to set
	 */
	public void setContext(Context context) {
		this.context = context;
	}
	
	/**
	 * @return the botoTancar
	 */
	public Button getBotoTancar() {
		return botoTancar;
	}

	/**
	 * @param botoTancar the botoTancar to set
	 */
	public void setBotoTancar(Button botoTancar) {
		this.botoTancar = botoTancar;
	}

	/**
	 * @return the botoAjuda
	 */
	public Button getBotoAjuda() {
		return botoAjuda;
	}

	/**
	 * @param botoAjuda the botoAjuda to set
	 */
	public void setBotoAjuda(Button botoAjuda) {
		this.botoAjuda = botoAjuda;
	}

	public OnClickListener clickTancarListener = new OnClickListener() {

		@Override
		public void onClick(View view) {
			ParseUser.logOut();
			((Activity) getContext()).recreate();
		}
	};
	
	public OnClickListener clickAjudaListener = new OnClickListener() {

		@Override
		public void onClick(View view) {
			getContext().startActivity(new Intent(getContext(), AjudaActivity.class).setFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
		}
	};
}
