package net.bonotown.android.aravadebo.model;

import android.widget.ImageView;
import android.widget.TextView;

import com.parse.ParseClassName;
import com.parse.ParseFile;
import com.parse.ParseGeoPoint;
import com.parse.ParseObject;
import com.parse.ParseQuery;
import com.parse.ParseUser;

@ParseClassName("PostFoto")
public class PostFoto extends ParseObject {
	
	public ImageView imageViewFoto;
	public TextView textViewFoto;
	
	public PostFoto() {}
	
	public String getComentari() {
		return getString("comentari");
	}

	public void setComentari(String value) {
		put("comentari", value);
	}

	public ParseUser getUser() {
		return getParseUser("usuari");
	}

	public void setUser(ParseUser value) {
		put("usuari", value);
	}

	public ParseGeoPoint getLocation() {
		return getParseGeoPoint("localitzacio");
	}

	public void setLocation(ParseGeoPoint value) {
		put("localitzacio", value);
	}
	
	public ParseFile getFoto() {
		return (ParseFile) get("url_foto");
	}
	
	public void setFoto(ParseFile foto) {
		put("mediatype", "image");
		put("url_foto", foto);
	}
	
	public static ParseQuery<PostFoto> getQuery() {
		return ParseQuery.getQuery(PostFoto.class);
	}
}