package net.bonotown.android.aravadebo.model;

import com.parse.ParseClassName;
import com.parse.ParseFile;
import com.parse.ParseGeoPoint;
import com.parse.ParseObject;
import com.parse.ParseQuery;
import com.parse.ParseUser;

@ParseClassName("PostVideo")
public class PostVideo extends ParseObject {
	
	public PostVideo() {}
	
	public String getComentari() {
		return getString("comentari");
	}

	public void setComentari(String value) {
		put("comentari", value);
	}

	public ParseUser getUser() {
		return getParseUser("usuari");
	}

	public void setUser(ParseUser value) {
		put("usuari", value);
	}

	public ParseGeoPoint getLocation() {
		return getParseGeoPoint("localitzacio");
	}

	public void setLocation(ParseGeoPoint value) {
		put("localitzacio", value);
	}
	
	public ParseFile getVideo() {
		return (ParseFile) get("url_video");
	}
	
	public void setVideo(ParseFile video) {
		put("mediatype", "video");
		put("url_video", video);
	}
	
	public static ParseQuery<PostVideo> getQuery() {
		return ParseQuery.getQuery(PostVideo.class);
	}
}