package net.bonotown.android.aravadebo.model.gestio;

import android.widget.CheckBox;
import android.widget.TextView;

import com.parse.ParseClassName;
import com.parse.ParseObject;
import com.parse.ParseQuery;

@ParseClassName("EsdevenimentAgenda")
public class ItemLlistaAgenda extends ParseObject {
	
	public CheckBox seleccio_agenda;
	public TextView id_item_agenda;
	public TextView data_agenda;
	public TextView hora_agenda;
	public TextView titol_agenda;
	public TextView descripcio_agenda;
	
	public ItemLlistaAgenda() {}
	
	public String getId() {
		return getObjectId();
	}
	
	public String getData() {
		return getString("data");
	}
	
	public void setData(String data) {
		put("data", data);
	}
	
	public String getHora() {
		return getString("hora");
	}
	
	public void setHora(String hora) {
		put("hora", hora);
	}
	
	public String getTitol() {
		return getString("titol");
	}

	public void setTitol(String titol) {
		put("titol", titol);
	}
	
	public String getDescripcio() {
		return getString("descripcio");
	}

	public void setDescripcio(String descripcio) {
		put("descripcio", descripcio);
	}
	
	public static ParseQuery<ItemLlistaAgenda> getQuery() {
		return ParseQuery.getQuery(ItemLlistaAgenda.class);
	}
}
