package net.bonotown.android.aravadebo.model.gestio;

import android.widget.TextView;

import com.parse.ParseClassName;
import com.parse.ParseObject;
import com.parse.ParseQuery;

@ParseClassName("UbicacioInteres")
public class ItemLlistaUbicacio extends ParseObject {
	
	public TextView nom;
	public TextView latitud;
	public TextView longitud;
	
	public ItemLlistaUbicacio(){}
	
	public String getNom() {
		return getString("nom");
	}

	public void setNom(String nom) {
		put("nom", nom);
	}
	
	public double getLatitude() {
		return getDouble("latitude");
	}

	public void setLatitude(double latitude) {
		put("latitude", latitude);
	}
	
	public double getLongitude() {
		return getDouble("longitude");
	}

	public void setLongitude(double longitude) {
		put("longitude", longitude);
	}
	
	public static ParseQuery<ItemLlistaUbicacio> getQuery() {
		return ParseQuery.getQuery(ItemLlistaUbicacio.class);
	}
}
