package net.bonotown.android.aravadebo.model;

import com.parse.ParseClassName;
import com.parse.ParseGeoPoint;
import com.parse.ParseObject;
import com.parse.ParseQuery;
import com.parse.ParseUser;

@ParseClassName("PostText")
public class PostText extends ParseObject {
	
	public PostText() {}
	
	public String getComentari() {
		return getString("comentari");
	}

	public void setComentari(String value) {
		put("comentari", value);
	}

	public ParseUser getUser() {
		return getParseUser("user");
	}

	public void setUser(ParseUser value) {
		put("user", value);
	}

	public ParseGeoPoint getLocation() {
		return getParseGeoPoint("localitzacio");
	}

	public void setLocation(ParseGeoPoint value) {
		put("localitzacio", value);
	}

	public static ParseQuery<PostText> getQuery() {
		return ParseQuery.getQuery(PostText.class);
	}
}