package net.bonotown.android.aravadebo.model.gestio;

import android.widget.CheckBox;
import android.widget.TextView;

import com.parse.ParseClassName;
import com.parse.ParseObject;
import com.parse.ParseQuery;

@ParseClassName("ApartatHistoria")
public class ItemLlistaHistoria extends ParseObject {
	
	public CheckBox seleccio_historia;
	public TextView id_item_historia;
	public TextView titol_historia;
	public TextView descripcio_historia;
	
	public ItemLlistaHistoria(){}
	
	public String getId() {
		return getObjectId();
	}
	
	public String getTitol() {
		return getString("titol");
	}

	public void setTitol(String titol) {
		put("titol", titol);
	}
	
	public String getDescripcio() {
		return getString("descripcio");
	}

	public void setDescripcio(String descripcio) {
		put("descripcio", descripcio);
	}
	
	public static ParseQuery<ItemLlistaHistoria> getQuery() {
		return ParseQuery.getQuery(ItemLlistaHistoria.class);
	}
}
